| Version: 3.2.5

Public Member Functions | List of all members
wxHTMLDataObject Class Reference
Class List by Category » Clipboard and Drag & Drop

`#include <wx/dataobj.h>`

Inheritance diagram for wxHTMLDataObject:
[legend]

## Detailed Description

wxHTMLDataObject is used for working with HTML-formatted text.

##

Library: wxCore
Category: Clipboard and Drag & Drop

See also
  wxDataObject, wxDataObjectSimple

## Public Member Functions

| wxHTMLDataObject (const wxString &html=wxEmptyString)
| Constructor. More...
virtual wxString | GetHTML () const
| Returns the HTML string. More...
virtual void | SetHTML (const wxString &html)
| Sets the HTML string. More...
Public Member Functions inherited from wxDataObjectSimple
| wxDataObjectSimple (const wxDataFormat &format=wxFormatInvalid)
| Constructor accepts the supported format (none by default) which may also be set later with SetFormat(). More...
virtual bool | GetDataHere (void *buf) const
| Copy the data to the buffer, return true on success. More...
virtual size_t | GetDataSize () const
| Gets the size of our data. More...
const wxDataFormat & | GetFormat () const
| Returns the (one and only one) format supported by this object. More...
virtual bool | SetData (size_t len, const void *buf)
| Copy the data from the buffer, return true on success. More...
void | SetFormat (const wxDataFormat &format)
| Sets the supported format. More...
Public Member Functions inherited from wxDataObject
| wxDataObject ()
| Constructor. More...
virtual | ~wxDataObject ()
| Destructor. More...
virtual void | GetAllFormats (wxDataFormat *formats, Direction dir=Get) const =0
| Copies all formats supported in the given direction dir to the array pointed to by formats. More...
virtual bool | GetDataHere (const wxDataFormat &format, void *buf) const =0
| The method will write the data of the format format to the buffer buf. More...
virtual size_t | GetDataSize (const wxDataFormat &format) const =0
| Returns the data size of the given format format. More...
virtual size_t | GetFormatCount (Direction dir=Get) const =0
| Returns the number of available formats for rendering or setting the data. More...
virtual wxDataFormat | GetPreferredFormat (Direction dir=Get) const =0
| Returns the preferred format for either rendering the data (if dir is `Get`, its default value) or for setting it. More...
virtual bool | SetData (const wxDataFormat &format, size_t len, const void *buf)
| Set the data in the format format of the length len provided in the buffer buf. More...
bool | IsSupported (const wxDataFormat &format, Direction dir=Get) const
| Returns true if this format is supported. More...

## Additional Inherited Members

Public Types inherited from wxDataObject
enum | Direction { Get = 0x01 , Set = 0x02 , Both = 0x03 }

## Constructor & Destructor Documentation

## ◆ wxHTMLDataObject()

wxHTMLDataObject::wxHTMLDataObject | ( | const wxString & | html = `wxEmptyString` | ) |

Constructor.

## Member Function Documentation

## ◆ GetHTML()

virtual wxString wxHTMLDataObject::GetHTML | ( |  | ) | const

virtual

Returns the HTML string.

## ◆ SetHTML()

virtual void wxHTMLDataObject::SetHTML | ( | const wxString & | html | ) |

virtual

Sets the HTML string.